## Functions

### gst_riff_create_audio_caps

    GstCaps *
    gst_riff_create_audio_caps (guint16 codec_id,
                                gst_riff_strh * strh,
                                gst_riff_strf_auds * strf,
                                GstBuffer * strf_data,
                                GstBuffer * strd_data,
                                char ** codec_name,
                                gint[18]  channel_reorder_map)

Parameters:

`codec_id` –
No description available
`strh` –
No description available
`strf` –
No description available
`strf_data` –
No description available
`strd_data` –
No description available
`codec_name` –
No description available
`channel_reorder_map` –
No description available
Returns (GstCaps *) –
No description available

### gst_riff_create_audio_template_caps

    GstCaps *
    gst_riff_create_audio_template_caps ()

Returns (GstCaps *) –
No description available

### gst_riff_create_iavs_caps

    GstCaps *
    gst_riff_create_iavs_caps (guint32 codec_fcc,
                               gst_riff_strh * strh,
                               gst_riff_strf_iavs * strf,
                               GstBuffer * strf_data,
                               GstBuffer * strd_data,
                               char ** codec_name)

Parameters:

`codec_fcc` –
No description available
`strh` –
No description available
`strf` –
No description available
`strf_data` –
No description available
`strd_data` –
No description available
`codec_name` –
No description available
Returns (GstCaps *) –
No description available

### gst_riff_create_iavs_template_caps

    GstCaps *
    gst_riff_create_iavs_template_caps ()

Returns (GstCaps *) –
No description available

### gst_riff_create_video_caps

    GstCaps *
    gst_riff_create_video_caps (guint32 codec_fcc,
                                gst_riff_strh * strh,
                                gst_riff_strf_vids * strf,
                                GstBuffer * strf_data,
                                GstBuffer * strd_data,
                                char ** codec_name)

Parameters:

`codec_fcc` –

fourCC codec for this codec.

`strh` –

pointer to the strh stream header structure.

`strf` –

pointer to the strf stream header structure, including any data that is within the range of strf.size, but excluding any additional data withint this chunk but outside strf.size.

`strf_data` –

a GstBuffer containing the additional data in the strf chunk outside reach of strf.size. Usually a palette.

`strd_data` –

a GstBuffer containing the data in the strd stream header chunk. Usually codec initialization data.

`codec_name` –

if given, will be filled with a human-readable codec name.

Returns (GstCaps *) –
No description available

### gst_riff_create_video_template_caps

    GstCaps *
    gst_riff_create_video_template_caps ()

Returns (GstCaps *) –
No description available

The results of the search are